Diff Manifest
curl --request POST \
--url https://api.mixpeek.com/v1/manifest/diff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'manifest_file=<string>'import requests
url = "https://api.mixpeek.com/v1/manifest/diff"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"manifest_file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('manifest_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.mixpeek.com/v1/manifest/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"to_create": [
{
"resource_type": "<string>",
"name": "<string>",
"action": "<string>",
"details": "<string>"
}
],
"in_system_only": [
{
"resource_type": "<string>",
"name": "<string>",
"action": "<string>",
"details": "<string>"
}
],
"differences": [
{
"resource_type": "<string>",
"name": "<string>",
"action": "<string>",
"details": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Manifest
Diff Manifest
Compare a manifest file with current state.
Shows resources that would be:
- Created: In manifest but not in system
- In system only: In system but not in manifest
- Different: In both but with configuration differences
This is useful for understanding what changes would occur before applying a manifest.
Example:
curl -X POST /v1/manifest/diff \
-H "Authorization: Bearer $API_KEY" \
-F "manifest_file=@mixpeek.yaml"
POST
/
v1
/
manifest
/
diff
Diff Manifest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
YAML manifest file
Response
Successful Response
Result of comparing manifest to current state.
Was this page helpful?
⌘I

